import { Routes } from '@angular/router'
import { AdminControllerComponent } from './admin-controller'

export default [
  {
    path: '',
    component: AdminControllerComponent,
    children: [
      {
        path: '',
        redirectTo: 'live',
        pathMatch: 'full'
      },
      {
        path: 'event-hub',
        loadComponent: () =>
          import('../+event-hub/event-hub.component')
            .then(m => m.EventHubComponent)
      },
      {
        path: 'live',
        loadComponent: () =>
          import('../+schedule-live/schedule-live.component')
            .then(m => m.ScheduleLiveComponent)
      },
      {
        path: 'event-user',
        loadComponent: () =>
          import('../+events/event-userList/event-userList')
            .then(m => m.EventUsersListComponent)
      }
    ]
  }
] as Routes
